GFS_UNLINK_SECTION(3)

NAME
gfs_unlink_section - delete a file

SYNOPSIS

#include <gfarm/gfarm.h>

char *gfs_unlink_section (char * gfarm_url, char * section);

DESCRIPTION

gfs_unlink_section() deletes the file section whose name is the string specifiedby gfarm_url and section.

RETURN VALUES

NULL
    The function terminated successfully.

GFARM_ERR_NO_MEMORY
    Insufficient memory was available.

GFARM_ERR_AUTHENTICATION
    User authentication failed when connecting to gfmd(8).

GFARM_ERR_PERMISSION_DENIED
    gfarm_url points outside your accessible address space.

GFARM_ERR_NO_SUCH_OBJECT
    section of gfarm_url does not exist.

GFARM_ERR_NOT_A_DIRECTORY
    A component of the path prefix is not a directory.

Others
    An error except the above occurred. The reason is shown by its pointed strings.